/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite. If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

/*
 * ImageConverter HTTP API
 * Documentation of the Open-Xchange ImageConverter HTTP API. ___
 *
 * OpenAPI spec version: 7.10
 * Contact: info@open-xchange.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.openexchange.imageconverter.client.generated.models;

import java.util.Objects;
import java.util.Arrays;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Metadata
 */

public class Metadata {
  @JsonProperty("Exif")
  private String exif = null;

  @JsonProperty("File")
  private String file = null;

  @JsonProperty("GPS")
  private String GPS = null;

  @JsonProperty("Thumbnail")
  private String thumbnail = null;

  public Metadata exif(String exif) {
    this.exif = exif;
    return this;
  }

   /**
   * The name of the Metadata group key.
   * @return exif
  **/
  @ApiModelProperty(value = "The name of the Metadata group key.")
  public String getExif() {
    return exif;
  }

  public void setExif(String exif) {
    this.exif = exif;
  }

  public Metadata file(String file) {
    this.file = file;
    return this;
  }

   /**
   * The name of the Metadata group key.
   * @return file
  **/
  @ApiModelProperty(value = "The name of the Metadata group key.")
  public String getFile() {
    return file;
  }

  public void setFile(String file) {
    this.file = file;
  }

  public Metadata GPS(String GPS) {
    this.GPS = GPS;
    return this;
  }

   /**
   * The name of the Metadata group key.
   * @return GPS
  **/
  @ApiModelProperty(value = "The name of the Metadata group key.")
  public String getGPS() {
    return GPS;
  }

  public void setGPS(String GPS) {
    this.GPS = GPS;
  }

  public Metadata thumbnail(String thumbnail) {
    this.thumbnail = thumbnail;
    return this;
  }

   /**
   * The name of the Metadata group key.
   * @return thumbnail
  **/
  @ApiModelProperty(value = "The name of the Metadata group key.")
  public String getThumbnail() {
    return thumbnail;
  }

  public void setThumbnail(String thumbnail) {
    this.thumbnail = thumbnail;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Metadata metadata = (Metadata) o;
    return Objects.equals(this.exif, metadata.exif) &&
        Objects.equals(this.file, metadata.file) &&
        Objects.equals(this.GPS, metadata.GPS) &&
        Objects.equals(this.thumbnail, metadata.thumbnail);
  }

  @Override
  public int hashCode() {
    return Objects.hash(exif, file, GPS, thumbnail);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Metadata {\n");
    
    sb.append("    exif: ").append(toIndentedString(exif)).append("\n");
    sb.append("    file: ").append(toIndentedString(file)).append("\n");
    sb.append("    GPS: ").append(toIndentedString(GPS)).append("\n");
    sb.append("    thumbnail: ").append(toIndentedString(thumbnail)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

